# Generated by Django 2.2.5 on 2019-09-28 15:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Comuna',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Propietario',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
                ('apellidos', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Provincia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='TipoContenido',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.CharField(max_length=25)),
            ],
        ),
        migrations.CreateModel(
            name='TipoInmueble',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Sector',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
                ('comuna', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Comuna')),
                ('provincia', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Provincia')),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Region')),
            ],
        ),
        migrations.AddField(
            model_name='provincia',
            name='region',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Region'),
        ),
        migrations.CreateModel(
            name='Inmueble',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('propietario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Propietario')),
                ('tipo_inmueble', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.TipoInmueble')),
            ],
        ),
        migrations.CreateModel(
            name='Galeria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contenido', models.BinaryField()),
                ('inmueble', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Inmueble')),
                ('tipo_contenido', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.TipoContenido')),
            ],
        ),
        migrations.CreateModel(
            name='Direccion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('calle', models.CharField(max_length=150)),
                ('numero', models.CharField(max_length=7)),
                ('detalle', models.CharField(blank=True, max_length=255, null=True)),
                ('codigo_postal', models.IntegerField(blank=True, null=True)),
                ('comuna', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Comuna')),
                ('inmueble', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Inmueble')),
                ('provincia', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Provincia')),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Region')),
                ('sector', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Sector')),
            ],
        ),
        migrations.AddField(
            model_name='comuna',
            name='provincia',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Provincia'),
        ),
    ]
